object FRMOpenAIEmbeddings: TFRMOpenAIEmbeddings
  Left = 0
  Top = 0
  Caption = 'Create Embeddings - eSeGeCe Software'
  ClientHeight = 768
  ClientWidth = 796
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -12
  Font.Name = 'Segoe UI'
  Font.Style = []
  Position = poScreenCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  TextHeight = 15
  object pnlTop: TPanel
    AlignWithMargins = True
    Left = 3
    Top = 3
    Width = 790
    Height = 121
    Align = alTop
    TabOrder = 0
    object Label1: TLabel
      Left = 24
      Top = 11
      Width = 86
      Height = 15
      Caption = 'OpenAI API Key:'
    end
    object Label4: TLabel
      Left = 456
      Top = 56
      Width = 51
      Height = 15
      Caption = 'Database:'
    end
    object btnCreateEmbeddingsFromFile: TButton
      Left = 24
      Top = 46
      Width = 193
      Height = 36
      Caption = 'Create Embeddings From File'
      TabOrder = 0
      OnClick = btnCreateEmbeddingsFromFileClick
    end
    object txtAPIKey: TEdit
      Left = 116
      Top = 8
      Width = 663
      Height = 23
      PasswordChar = '*'
      TabOrder = 1
      OnChange = txtAPIKeyChange
    end
    object ProgressBar1: TProgressBar
      Left = 24
      Top = 88
      Width = 755
      Height = 19
      TabOrder = 2
    end
    object cboDatabase: TComboBox
      Left = 513
      Top = 50
      Width = 145
      Height = 23
      Style = csDropDownList
      ItemIndex = 0
      TabOrder = 3
      Text = 'File'
      OnChange = cboDatabaseChange
      Items.Strings = (
        'File'
        'Pinecone')
    end
    object btnCreateEmbeddingsFromDirectory: TButton
      Left = 223
      Top = 46
      Width = 193
      Height = 36
      Caption = 'Create Embeddings From Directory'
      TabOrder = 4
      OnClick = btnCreateEmbeddingsFromDirectoryClick
    end
  end
  object pnlClient: TPanel
    AlignWithMargins = True
    Left = 3
    Top = 323
    Width = 790
    Height = 442
    Align = alClient
    TabOrder = 1
    object memoLog: TMemo
      AlignWithMargins = True
      Left = 4
      Top = 4
      Width = 782
      Height = 434
      Align = alClient
      TabOrder = 0
    end
  end
  object PageControlDB: TPageControl
    Left = 0
    Top = 127
    Width = 796
    Height = 193
    ActivePage = tabFile
    Align = alTop
    TabOrder = 2
    object tabFile: TTabSheet
      Caption = 'File'
      object Label2: TLabel
        Left = 36
        Top = 27
        Width = 82
        Height = 15
        Caption = 'Input Filename:'
      end
      object Label3: TLabel
        Left = 31
        Top = 56
        Width = 87
        Height = 15
        Caption = 'Vector Filename:'
      end
      object txtFileInputFilename: TEdit
        Left = 124
        Top = 24
        Width = 181
        Height = 23
        TabOrder = 0
        OnChange = txtFileInputFilenameChange
      end
      object txtFileVectorFilename: TEdit
        Left = 124
        Top = 53
        Width = 181
        Height = 23
        TabOrder = 1
        OnChange = txtFileVectorFilenameChange
      end
    end
    object tabPinecone: TTabSheet
      Caption = 'Pinecone'
      ImageIndex = 1
      object lblApiKey: TLabel
        Left = 44
        Top = 16
        Width = 43
        Height = 15
        Caption = 'API Key:'
      end
      object Label21: TLabel
        Left = 16
        Top = 45
        Width = 71
        Height = 15
        Caption = 'Environment:'
      end
      object Label8: TLabel
        Left = 20
        Top = 74
        Width = 67
        Height = 15
        Caption = 'Index Name:'
      end
      object Label9: TLabel
        Left = 34
        Top = 103
        Width = 53
        Height = 15
        Caption = 'Project Id:'
      end
      object txtPineconeApiKey: TEdit
        Left = 93
        Top = 13
        Width = 409
        Height = 23
        PasswordChar = '*'
        TabOrder = 0
        OnChange = txtPineconeApiKeyChange
      end
      object txtPineconeEnvironment: TEdit
        Left = 93
        Top = 42
        Width = 144
        Height = 23
        TabOrder = 1
        OnChange = txtPineconeEnvironmentChange
      end
      object txtPineconeIndexName: TEdit
        Left = 93
        Top = 71
        Width = 208
        Height = 23
        TabOrder = 2
        OnChange = txtPineconeIndexNameChange
      end
      object txtPineconeProjectId: TEdit
        Left = 93
        Top = 100
        Width = 208
        Height = 23
        TabOrder = 3
        OnChange = txtPineconeProjectIdChange
      end
    end
  end
  object Embeddings: TsgcAIOpenAIEmbeddings
    Database = DBVectorFile
    OpenAIOptions.LogOptions.Enabled = True
    OpenAIOptions.LogOptions.FileName = 'log.txt'
    OpenAIOptions.RetryOptions.Enabled = True
    OpenAIOptions.RetryOptions.Retries = 3
    OpenAIOptions.RetryOptions.Wait = 10000
    EmbeddingsOptions.ChunkSize = 8192
    EmbeddingsOptions.Model = 'text-embedding-ada-002'
    OnCreateEmbeddingsStart = EmbeddingsCreateEmbeddingsStart
    OnCreateEmbeddingsProgress = sgcAIOpenAIEmbeddings1CreateEmbeddingsProgress
    OnCreateEmbeddingsStop = EmbeddingsCreateEmbeddingsStop
    Left = 600
    Top = 168
  end
  object DBVectorFile: TsgcAIDatabaseVectorFile
    VectorFileOptions.InputFilename = 'sgcEmbeddings.sgcif'
    VectorFileOptions.VectorFilename = 'sgcEmbeddings.sgcvf'
    Left = 728
    Top = 168
  end
  object DBVectorPinecone: TsgcAIDatabaseVectorPinecone
    PineconeOptions.Environment = 'us-west4-gcp-free'
    PineconeOptions.LogOptions.Enabled = False
    Left = 728
    Top = 240
  end
end
