object FRMQuestionsAnswers: TFRMQuestionsAnswers
  Left = 0
  Top = 0
  Caption = 'Questions & Answers - eSeGeCe Software'
  ClientHeight = 797
  ClientWidth = 804
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -12
  Font.Name = 'Segoe UI'
  Font.Style = []
  Position = poScreenCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  TextHeight = 15
  object pnlClient: TPanel
    AlignWithMargins = True
    Left = 3
    Top = 375
    Width = 798
    Height = 419
    Align = alClient
    TabOrder = 0
    object memoLog: TMemo
      AlignWithMargins = True
      Left = 4
      Top = 4
      Width = 790
      Height = 411
      Align = alClient
      TabOrder = 0
    end
  end
  object pnlTop: TPanel
    AlignWithMargins = True
    Left = 3
    Top = 3
    Width = 798
    Height = 193
    Align = alTop
    TabOrder = 1
    object Label1: TLabel
      Left = 24
      Top = 11
      Width = 86
      Height = 15
      Caption = 'OpenAI API Key:'
    end
    object Label2: TLabel
      Left = 17
      Top = 131
      Width = 48
      Height = 15
      Caption = 'Question'
    end
    object Label5: TLabel
      Left = 59
      Top = 40
      Width = 51
      Height = 15
      Caption = 'Database:'
    end
    object Label6: TLabel
      Left = 17
      Top = 80
      Width = 109
      Height = 15
      Caption = 'Pre-defined Answers'
    end
    object lblWarning: TLabel
      Left = 272
      Top = 40
      Width = 329
      Height = 15
      Caption = 
        'File database is only for testing purposes, not for production !' +
        '!!'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clRed
      Font.Height = -12
      Font.Name = 'Segoe UI'
      Font.Style = []
      ParentFont = False
    end
    object txtAPIKey: TEdit
      Left = 116
      Top = 8
      Width = 663
      Height = 23
      PasswordChar = '*'
      TabOrder = 0
      OnChange = txtAPIKeyChange
    end
    object txtQuestion: TEdit
      Left = 17
      Top = 150
      Width = 665
      Height = 23
      TabOrder = 1
      Text = 
        'Show me a simple example of connecting the WebSocket Client to a' +
        ' WebSocket Server.'
    end
    object btnAskChatGPT: TButton
      Left = 688
      Top = 142
      Width = 91
      Height = 40
      Caption = 'Ask ChatGPT'
      TabOrder = 2
      OnClick = btnAskChatGPTClick
    end
    object cboDatabase: TComboBox
      Left = 116
      Top = 37
      Width = 145
      Height = 23
      Style = csDropDownList
      ItemIndex = 0
      TabOrder = 3
      Text = 'File'
      OnChange = cboDatabaseChange
      Items.Strings = (
        'File'
        'Pinecone')
    end
  end
  object PageControlDB: TPageControl
    Left = 0
    Top = 199
    Width = 804
    Height = 173
    ActivePage = tabFile
    Align = alTop
    TabOrder = 2
    object tabFile: TTabSheet
      Caption = 'File'
      object Label3: TLabel
        Left = 36
        Top = 27
        Width = 82
        Height = 15
        Caption = 'Input Filename:'
      end
      object Label4: TLabel
        Left = 31
        Top = 56
        Width = 87
        Height = 15
        Caption = 'Vector Filename:'
      end
      object txtFileInputFilename: TEdit
        Left = 124
        Top = 24
        Width = 181
        Height = 23
        TabOrder = 0
        OnChange = txtFileInputFilenameChange
      end
      object txtFileVectorFilename: TEdit
        Left = 124
        Top = 53
        Width = 181
        Height = 23
        TabOrder = 1
        OnChange = txtFileVectorFilenameChange
      end
    end
    object tabPinecone: TTabSheet
      Caption = 'Pinecone'
      ImageIndex = 1
      object lblApiKey: TLabel
        Left = 44
        Top = 16
        Width = 43
        Height = 15
        Caption = 'API Key:'
      end
      object Label21: TLabel
        Left = 16
        Top = 45
        Width = 71
        Height = 15
        Caption = 'Environment:'
      end
      object Label8: TLabel
        Left = 20
        Top = 74
        Width = 67
        Height = 15
        Caption = 'Index Name:'
      end
      object Label9: TLabel
        Left = 34
        Top = 103
        Width = 53
        Height = 15
        Caption = 'Project Id:'
      end
      object txtPineconeApiKey: TEdit
        Left = 93
        Top = 13
        Width = 409
        Height = 23
        PasswordChar = '*'
        TabOrder = 0
        OnChange = txtPineconeApiKeyChange
      end
      object txtPineconeEnvironment: TEdit
        Left = 93
        Top = 42
        Width = 144
        Height = 23
        TabOrder = 1
        OnChange = txtPineconeEnvironmentChange
      end
      object txtPineconeIndexName: TEdit
        Left = 93
        Top = 71
        Width = 208
        Height = 23
        TabOrder = 2
        OnChange = txtPineconeIndexNameChange
      end
      object txtPineconeProjectId: TEdit
        Left = 93
        Top = 100
        Width = 208
        Height = 23
        TabOrder = 3
        OnChange = txtPineconeProjectIdChange
      end
    end
  end
  object cboPredefinedAnswers: TComboBox
    Left = 20
    Top = 104
    Width = 665
    Height = 23
    Style = csDropDownList
    TabOrder = 3
    OnChange = cboPredefinedAnswersChange
    Items.Strings = (
      ''
      
        'Show me a simple example of connecting the WebSocket Client to a' +
        ' WebSocket Server.'
      'How to send a binary message using the TsgcWebSocketClient?'
      'How to subscribe to a topic using the MQTT client?'
      'How to configure the IOCP on the TsgcWebSocketServer? and EPOLL?'
      'Show me the code to send orders using the Binance API')
  end
  object ChatBot: TsgcAIOpenAIChatBot
    Embeddings = Embeddings
    OpenAIOptions.LogOptions.Enabled = False
    OpenAIOptions.RetryOptions.Enabled = True
    OpenAIOptions.RetryOptions.Retries = 3
    OpenAIOptions.RetryOptions.Wait = 10000
    ChatBotOptions.Transcription.Model = 'whisper-1'
    ChatBotOptions.ChatCompletion.Model = 'gpt-3.5-turbo'
    OnChatCompletion = ChatBotChatCompletion
    Left = 563
    Top = 239
  end
  object Embeddings: TsgcAIOpenAIEmbeddings
    Database = DBVectorFile
    OpenAIOptions.LogOptions.Enabled = False
    OpenAIOptions.RetryOptions.Enabled = True
    OpenAIOptions.RetryOptions.Retries = 3
    OpenAIOptions.RetryOptions.Wait = 10000
    EmbeddingsOptions.WaitStoringData = 0
    EmbeddingsOptions.ChunkSize = 8192
    EmbeddingsOptions.Model = 'text-embedding-ada-002'
    Left = 640
    Top = 240
  end
  object DBVectorFile: TsgcAIDatabaseVectorFile
    VectorFileOptions.InputFilename = 'sgcEmbeddings.sgcif'
    VectorFileOptions.VectorFilename = 'sgcEmbeddings.sgcvf'
    Left = 728
    Top = 240
  end
  object DBVectorPinecone: TsgcAIDatabaseVectorPinecone
    PineconeOptions.Environment = 'us-west4-gcp-free'
    PineconeOptions.LogOptions.Enabled = False
    Left = 728
    Top = 312
  end
end
